Roles
Remove roles from a person
JSON:API to-many relationship operation: revokes each role in the request body from the person.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
person_id*string
Person UUID, or the literal me to address the current user.
TypeScript Definitions
Use the request body type in TypeScript.
JSON:API to-many relationship operation body. data is an array of role
resource identifiers (each may carry the resource relationship to scope
the role to an organization, mirroring role creation).
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/people/string/relationships/roles" \ -H "Content-Type: application/json" \ -d '{ "data": [ { "type": "roles", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ] }'Empty
{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}